
From: Adrian Bunk <bunk@fs.tum.de>

The patch below removes two #ifdef's for kernel 2.0 from OSS.



---

 sound/oss/msnd.c |   19 ++++---------------
 sound/oss/os.h   |    4 ----
 2 files changed, 4 insertions(+), 19 deletions(-)

diff -puN sound/oss/msnd.c~oss-cruft-removal sound/oss/msnd.c
--- 25/sound/oss/msnd.c~oss-cruft-removal	2004-02-07 11:28:02.000000000 -0800
+++ 25-akpm/sound/oss/msnd.c	2004-02-07 11:28:02.000000000 -0800
@@ -25,9 +25,6 @@
  ********************************************************************/
 
 #include <linux/version.h>
-#if LINUX_VERSION_CODE < 0x020101
-#  define LINUX20
-#endif
 #include <linux/module.h>
 #include <linux/kernel.h>
 #include <linux/slab.h>
@@ -35,18 +32,10 @@
 #include <linux/types.h>
 #include <linux/delay.h>
 #include <linux/mm.h>
-#ifdef LINUX20
-#  include <linux/major.h>
-#  include <linux/fs.h>
-#  include <linux/sound.h>
-#  include <asm/segment.h>
-#  include "sound_config.h"
-#else
-#  include <linux/init.h>
-#  include <asm/io.h>
-#  include <asm/uaccess.h>
-#  include <linux/spinlock.h>
-#endif
+#include <linux/init.h>
+#include <asm/io.h>
+#include <asm/uaccess.h>
+#include <linux/spinlock.h>
 #include <asm/irq.h>
 #include "msnd.h"
 
diff -puN sound/oss/os.h~oss-cruft-removal sound/oss/os.h
--- 25/sound/oss/os.h~oss-cruft-removal	2004-02-07 11:28:02.000000000 -0800
+++ 25-akpm/sound/oss/os.h	2004-02-07 11:28:02.000000000 -0800
@@ -7,10 +7,6 @@
 #include <linux/module.h>
 #include <linux/version.h>
 
-#if LINUX_VERSION_CODE > 131328
-#define LINUX21X
-#endif
-
 #ifdef __KERNEL__
 #include <linux/utsname.h>
 #include <linux/string.h>

_
